%define lib       libfame
%define version   0.9.1
%define release   1
%define major     1
%define libname   libfame-0_9-%{major}
%define _libnme   libfame%{major}

Name:           %{libname}
Summary:        Fast Assembly Mpeg Encoding library
Summary(de):    Schnelle Assembler MPEG Encodingbibliothek
Version:        %{version}
Release:        8.2
License:        LGPL v2 or later
Group:          System/Libraries
URL:            http://fame.sourceforge.net

Source0:        libfame-0.9.1.tar.bz2

Patch0:         libfame-0.9.1-gcc34-1.patch
Patch1:         libfame-0.9.1-underquoted-definition.patch
Patch2:		libfame-decl.patch
BuildRoot:      %{_tmppath}/libfame-%{PACKAGE_VERSION}-root
AutoReqProv:    off
Provides:       %{lib} = %{version}-%{release}
Provides:       libfame-0.9.so.1
Provides:	%{lib}%{major}
Obsoletes:      %{lib}
%ifarch x86_64 amd64 ia32e
Provides:       libfame-0.9.so.1()(64bit)
%endif

%description
FAME is a library for fast MPEG encoding.

%description -l de
FAME ist eine Bibliothek für schnelles MPEG-Encoding.

%package -n %{lib}-devel
Group:          Development/Libraries/C and C++
Summary:        Libraries and include to develop using FAME
Summary(de):    Bibliothek und Includes zum Entwicklen mit FAME
Requires:       %{libname} = %{version}-%{release}
Provides:       %{libname}-devel = %{version}-%{release}

%description -n %{lib}-devel
FAME is a library for fast MPEG encoding.

This is the libraries, include files and other resources you can use
to develop FAME applications.

%description -n %{lib}-devel -l de
FAME ist eine Bibliothek für schnelles MPEG-Encoding.

Dies ist die Bibliothek, Include-Dateien und andere Resourcen die zur
Entwicklung von Anwendungen, die FAME verwenden, benötigt werden.

%debug_package

%prep
%setup-q -n %{lib}-%{version}
%patch0 -p1
%patch1
%patch2
%if 0%{?suse_version}
%suse_update_config -f
%suse_update_libdir
%endif
%build
CFLAGS="${RPM_OPT_FLAGS}"
%if 0%{?suse_version} >= 910
%if 0%{?suse_version} <= 1000
  CFLAGS="${RPM_OPT_FLAGS} -fno-unit-at-a-time"
%endif
%endif

export CFLAGS

#%ifarch x86_64 amd64 ia32e
#cp /usr/share/automake-`rpm -q --queryformat '%{VERSION}' automake | cut -b 1-3`/config.sub .
#%endif

# Needed for snapshot releases.
if [ ! -f configure ]; then
  ./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}
fi
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?fedora_version}
./autogen.sh --prefix=%{_prefix} --libdir=%{_libdir} --mandir=%{_mandir} --includedir=%{_includedir}
%endif

%ifarch i686 x86_64 ia32e
%configure --enable-mmx
%else
%configure
%endif

%{__make} %{?jobs:-j%{jobs}}

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}
%makeinstall

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig

%files -n %{libname}
%defattr(-, root, root)
%doc CHANGES COPYING README
%{_libdir}/lib*.so.*

%files -n %{lib}-devel
%defattr(-, root, root)
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/*a
%{_includedir}/fame*.h
%{_datadir}/aclocal/*
%{_mandir}/man3/*

%changelog
* Sun Sep 30 2007 Carsten Schoene <cs@linux-administrator.com>
- import for SLE_10 build

